package com.om.entity.vo;

import com.om.entity.dto.ElectronicControls;
import com.om.entity.po.ElectronicControl;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class RepairCreateVO {

    private String address;
    private String company;
    private LocalDateTime createTime;
    private LocalDateTime createTimeStr;
    private String diagnosticPath;
    private String disclaimer;
    private Integer electronicControlCount;
    private ElectronicControls electronicControls;
    private Integer faultCodeCount;
    private String fileName;
    private Integer id;
    private String mileage;
    private String modelYear;
    private Integer repairId;
    private Integer reportId;
    private Integer sequence;
    private String sn;
    private Integer state;
    private String telephone;
    private String title;
    private LocalDateTime updateTime;
    private String vin;

}
