package com.om.entity.dto;

import com.om.entity.po.Distributor;
import com.om.entity.po.EcuInfo;
import com.om.entity.po.FaultCode;
import com.om.entity.po.Repair;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class RepairDTO  {
    private String abnormalSystemTitle;
    private String address;
    private String addressTitle;
    private String carInfoTitle;
    private String company;
    private String companyTitle;
    private LocalDateTime createTime;
    private String createTimeStr;
    private String diagnosticDetailsTitle;
    private String diagnosticPath;
    private String diagnosticReportTitle;
    private String disclaimer;
    private Integer electronicControlCount;

    private ElectronicControls electronicControls;

    private Integer faultCodeCount;
    private String faultCodeTitle;
    private String fileName;
    private String mainTitle;
    private String mileage;
    private String mileageTitle;
    private String modeYear;
    private String modeYearTitle;
    private String normalSystemTitle;
    private Integer pageIndex;
    private Integer pageSize;

    private ReportTitleDto reportTitleDto;
    private Integer sequence;
    private String sn;
    private String snTitle;
    private Integer state;
    private String telephone;
    private String telephoneTitle;
    private String title;
    private LocalDateTime updateTime;
    private String versionInfoTitle;
    private String vin;
    private String vinTitle;






}
